Subject: Command-Response Extension - Minor ambiguity in specification?

From: Robert Burbidge <[email-masked]>
Date: Tue, 13 Aug 2002 11:24:57 +0100

Epp Spec Draft 4, section 2.6.3

The example for commands is a bit ambigous. It uses an element called
<EPPCommandName>. Obviously from context this is a placeholder for some
other element defined in EPP, but it wasn't very clear to me whether this
was the <command> element itself or one of the elements such as <create> or
<delete> that appear in inside <command>.

As I understand it, if I was to write an extension for contact creation, it
would have the form

<command>
  <create>
    <contact:create>
    </contact:create>
  </create>
  <extension>
    .. extension elements here ..
  </extension>
</command>

However the example fragment implies (to my mind anyway) the form

<command>
  <create>
    <contact:create>
    </contact:create>
    <extension>
      .. extension elements here ..
    </extension>
  </create>
</command>

In fairness to Scott, I should add that the XML schema resolves the
ambiguity in favour of the first form, and I accept that the schema is
normative. I would, however, suggest that the example using the
<EPPCommandName> tag be re-written to make the example more clear.

If I have misunderstood any of the above please feel free to correct me of
course.

Rob Burbidge